package env

import (
	"github.com/fsnotify/fsnotify"
	"golang.org/x/sys/windows/registry"
	"log"
)

/**
 * @author yuanrh
 * @description //环境变量
 * @date 2021/6/28 11:11
 **
 */

//IFPS.exe 路径
var IpfsPath string

//工作目录
var WorkSpace string


//当前用户
var CurrentUserPhone = "16666666666"
var CurrentUserId = "330031270501289985"

var LoginStatus = 0

var IpfsApi = "10.240.10.238:5001"

var GobalFileWatch *fsnotify.Watcher


func InitWorkSpaceFromRegistry() error{
	key,err := registry.OpenKey(registry.CURRENT_USER, "Software\\杭州易云数字网络科技有限公司\\LOCKING-KIT", registry.READ)
	if err != nil{
		return err
	}
	defer key.Close()
	WorkSpace,_,err = key.GetStringValue("工作空间")
	if err != nil{
		return err
	}
	log.Println(WorkSpace)
	return nil
}

func SetWorkSpaceToRegistry(path string) error{
	key,err := registry.OpenKey(registry.CURRENT_USER, "Software\\杭州易云数字网络科技有限公司\\LOCKING-KIT", registry.WRITE)
	if err != nil{
		return err
	}
	defer key.Close()
	err = key.SetStringValue("工作空间", path)
	if err != nil{
		return err
	}
	WorkSpace = path
	log.Println(WorkSpace)
	return nil
}